This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 670238 - jpeg messages encoding is transfered as 4 and not 1, breaking client
jpeg messages encoding is transfered as 4 and not 1, breaking client
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: spice-client (Show other bugs)
6.1
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Uri Lublin
Hans de Goede
:
Depends On:
Blocks: 671383
  Show dependency treegraph
 
Reported: 2011-01-17 11:24 EST by Alon Levy
Modified: 2014-08-04 18:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: spice-client-0.7.2-1.el6
Doc Type: Bug Fix
Doc Text:
When spice-client was set to use JPEG compression for images, the client sometimes terminated unexpectedly. This bug has been fixed and the spice-client now handles JPEG images properly.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:15:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alon Levy 2011-01-17 11:24:02 EST
Description of problem:
The header field sent in jpeg compressed images which specifies upside downness of the image is being inconsistently handled:
 * server sends 4 or 0
 * client ASSERTS it is 1 or 0
Results in client crash.

Upstream fix for the client:
046b9a7 common, canvas_get_jpeg_alpha: let top_down be any value

Patch makes the client handle 0 as 0 and positive as 1

Version-Release number of selected component (if applicable):
0.7.1

How reproducible:
Always

Steps to Reproduce:
1. start guest with jpeg enabled (force it so it doesn't require emulating a wan environment)
2. in windows guest toggling the start menu repeatedly trigers a jpeg image sent
3. watch client crash
  
Actual results:
client aborts with ASSERT

Expected results:
client works

Additional info:
Comment 2 Hans de Goede 2011-01-25 08:52:14 EST
A new spice-client-0.7.2-1.el6 fixing this has been build, moving to modified.
Comment 5 Tomas Capek 2011-05-17 07:36:28 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When spice-client was set to use JPEG compression for images, the client sometimes terminated unexpectedly. This bug has been fixed and the spice-client now handles JPEG images properly.
Comment 6 errata-xmlrpc 2011-05-19 09:15:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0583.html

Note You need to log in before you can comment on or make changes to this bug.